package com.gic.demo.single.web;

import com.ctrip.framework.apollo.spring.annotation.EnableApolloConfig;
import com.gic.dubbo.util.DubboContextUtil;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ImportResource;

/**
 * Spring Boot Web 启动类
 *
 * @author zhurz
 */
@EnableApolloConfig({ "COMMON.redis" })
@ImportResource(value = {
        "classpath*:applicationContext-init.xml",
        "classpath*:dubbo-setting.xml",
        "classpath*:dubbo-gic-demo-web.xml",
        "classpath*:spring-interceptor.xml"
})
@SpringBootApplication(scanBasePackages = { "com.gic.demo.*" })
public class Main {

    public static void main(String[] args) {
        ConfigurableApplicationContext context = SpringApplication.run(Main.class, args);
        DubboContextUtil.setApplicationContext(context);
    }

}